#pragma once
#include <stdint.h>

/* ldata open/close. */
int ldata_open(void);
void ldata_close(void);

/* General. */
int ldata_check(char* path);
int ldata_setPath(char* path);
char* ldata_name(void);

/* Individual file functions. */
void* ldata_read(const char* filename, uint32_t* filesize);
char** ldata_list(const char* path, uint32_t* nfiles);

